Description

In order to fulfil the EU regulation 2023/1162 we would like to have a class Permission, inherited from Document, that can handle the
permissions given by the "Permission administrator" regarding providing access (could be limited in time) to metered data by eligable
parties.

Proposed Solution

This MR suggests adding the Permission class to MarketManagment, inheriting from Document. It should be associated with e.g.
TimePeriod, MktActivityRecord, MarketEvaluationPoint. See further attached PDF file.

3/27/2025: Reviewing the associations between the new Permission class and MarketEvaluationPoint and MktActivityRecord.
Considering that the association to MktActivityRecord is not necessary. Updated MR to be attached with necessary associations. Jan
and Bhagyashree to review internally and any additional use case needs that would alter the modeling.

History

#1 - 09/16/2024 07:48 AM - Jan Owe

The EU Implementing regulation for accessing metering and consumption data (https://eur-lex.europa.eu/eli/reg_impl/2023/1162/0j) sets out some
rules related to permissions getting the access. One of these rules involves sending master data when someone asks for permission to do certain
tasks or activities. This master data serves a few purposes: first, it confirms that permission is being requested. Second, it grants permission to the
party who wants to access validated historical consumption data as stated in the permission request. Third, it responds to the permission request,
letting the requester know if it's valid or not. If the request is valid, it communicates the validation result, but if it's invalid, it indicates that too.
Additionally, it informs the concerned party when permission has been successfully established, and it also grants permission to transfer data. So, it's
essentially about confirming, granting, responding, communicating results, informing about success, and allowing data transfer as per the permission
request.

#2 - 10/01/2024 01:50 AM - Jan Owe
- File MR for IEC 62325-301 and 351 ENTSO-E Addition of PermissionClass_20240919.pdf added

An updated MR document with updated diagrams and added text is provided.

#3 - 12/05/2024 10:20 AM - Becky Iverson

- Status changed from New to Open

#4 - 03/27/2025 11:25 AM - Becky Iverson
https://eur-lex.europa.eu/eli/reg_impl/2023/1162/oj

- Status changed from Open to In Progress

- Decision updated

#5 - 03/27/2025 11:29 AM - Becky Iverson
- Proposed Solution updated

- Decision updated
